Uploaded image for project: 'Tapestry 5'
  1. Tapestry 5
  2. TAP5-2315

Using tapestry-upload generates errors/warnings.

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 5.4
    • Fix Version/s: 5.4
    • Component/s: tapestry-upload
    • Labels:
      None

      Description

      When using the tapestry-upload module in 5.4B3 (and perhaps other versions), the following errors/warnings are generated:

      [ERROR] AssetsModule.AssetSource Packaging of classpath assets has changed in release 5.4; Assets should no longer be on the main classpath, but should be moved to 'META-INF/assets/' or a sub-folder. Future releases of Tapestry may no longer support assets on the main classpath.
      [WARN] AssetsModule.AssetSource Classpath asset '/org/apache/tapestry5/upload/components/upload.js' should be moved under folder '/META-INF/assets/core/', and the relative path adjusted.

        Attachments

          Activity

            People

            • Assignee:
              jkemnade Jochen Kemnade
              Reporter:
              blacknext Michael Gentry
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: